Package com.ocient.jdbc.proto

## Interface ClientWireProtocol.ConfirmationResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ConfirmationResponse`, `ClientWireProtocol.ConfirmationResponse.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ConfirmationResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getReason()` `string reason = 2;`
`com.google.protobuf.ByteString` `getReasonBytes()` `string reason = 2;`
`String` `getSqlState()` `string sql_state = 3;`
`com.google.protobuf.ByteString` `getSqlStateBytes()` `string sql_state = 3;`
`ClientWireProtocol.ConfirmationResponse.ResponseType` `getType()` `.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`
`int` `getTypeValue()` `.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`
`int` `getVendorCode()` `sfixed32 vendor_code = 4;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getTypeValue

    int getTypeValue()

`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`

Returns:
  The enum numeric value on the wire for type.

#### getType

    ClientWireProtocol.ConfirmationResponse.ResponseType getType()

`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`

Returns:
  The type.

#### getReason

    String getReason()

`string reason = 2;`

Returns:
  The reason.

#### getReasonBytes

    com.google.protobuf.ByteString getReasonBytes()

`string reason = 2;`

Returns:
  The bytes for reason.

#### getSqlState

    String getSqlState()

`string sql_state = 3;`

Returns:
  The sqlState.

#### getSqlStateBytes

    com.google.protobuf.ByteString getSqlStateBytes()

`string sql_state = 3;`

Returns:
  The bytes for sqlState.

#### getVendorCode

    int getVendorCode()

`sfixed32 vendor_code = 4;`

Returns:
  The vendorCode.